%define nacoma_version 4.5.0-beta8
Summary: Management packs for op5 Monitor
Name: monitor-management-packs
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: http://www.op5.se
Prefix: /usr
Requires: monitor-management-packs-generic-server
Requires: monitor-management-packs-dns-server
Requires: monitor-management-packs-web-server
Requires: monitor-management-packs-web-server-https
Requires: monitor-management-packs-vmware-esxi-host
Requires: monitor-management-packs-windows-server
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
%define manpack_dir %{_datadir}/monitor/management-packs

%description
Management packs define and allow for convenient configuration of common monitoring targets.

%package generic-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management pack sets up the most basic server monitoring.
Group: op5/Monitor
%description generic-server
This management pack sets up the most basic server monitoring. Use this if you are not sure what the server is running, or if none of the other management packs suit your needs.

%package dns-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management pack set up generic checks for DNS servers.
Group: op5/Monitor
%description dns-server
This management pack set up generic checks for DNS servers.

%package web-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management pack tests if a web server is up and running.
Group: op5/Monitor
%description web-server
This management pack tests if a web server is up and running. Note: Some web servers require that you configure the host name instead of host ip address when adding the server.

%package web-server-https
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management pack tests if a web server with HTTPS support is up and running.
Group: op5/Monitor
%description web-server-https
This management pack tests if a web server with HTTPS support is up and running. Note: Some web servers require that you configure the host name instead of host ip address when adding the server.

%package vmware-esxi-host
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management pack monitors a standalone VMware ESXi virtualization host.
Group: op5/Monitor
%description vmware-esxi-host
This management pack monitors runtime status, runtime health, runtime issues, CPU usage, memory usage, IO read latency and IO write latency on a standalone VMware ESXi virtualization host.

%package windows-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This management mack monitors a Microsoft Windows Server.
Group: op5/Monitor
%description windows-server
This management pack monitors a Microsoft Windows Server. It includes standard monitoring of disk, CPU, memory and services. Note that this management pack requires the op5 NSclient++ agent to be installed on the server.


%post generic-server
if [ $1 == 1 ]; then
echo 'Generic server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%post dns-server
if [ $1 == 1 ]; then
echo 'DNS server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%post web-server
if [ $1 == 1 ]; then
echo 'Web server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%post web-server-https
if [ $1 == 1 ]; then
echo 'Web server with HTTPS' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%post vmware-esxi-host
if [ $1 == 1 ]; then
echo 'Standalone VMware ESXi virtualization host' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%post windows-server
if [ $1 == 1 ]; then
echo 'Windows server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%posttrans
if [ -e %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin ]; then
	cat %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin | while read l; do
		php /opt/monitor/op5/nacoma/mgmtpackimport.php --import --name "$l" || :
	done
	rm %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
	php /opt/monitor/op5/nacoma/api/monitor.php -a save_config
fi


%prep
%setup -q

%build

%install
mkdir -p %buildroot%{_localstatedir}/lib/rpm-state/monitor-management-packs
mkdir -p %buildroot%{manpack_dir}
cp *.json %buildroot%{manpack_dir}

%files
%defattr(-, monitor, root)
%dir %{manpack_dir}
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files generic-server
%defattr(-, monitor, root)
"%{manpack_dir}/Generic server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files dns-server
%defattr(-, monitor, root)
"%{manpack_dir}/DNS server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files web-server
%defattr(-, monitor, root)
"%{manpack_dir}/Web server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files web-server-https
%defattr(-, monitor, root)
"%{manpack_dir}/Web server with HTTPS.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files vmware-esxi-host
%defattr(-, monitor, root)
"%{manpack_dir}/Standalone VMware ESXi virtualization host.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%files windows-server
%defattr(-, monitor, root)
"%{manpack_dir}/Windows server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs


%clean
rm -rf %buildroot

%changelog
* Mon Sep 16 2013 Anton Lofgren <alofgren@op5.com>
- Initial RPM package
